---
title: XDomainRequest.onload
slug: Web/API/XDomainRequest/onload
tags:
  - AJAX
  - API
  - DOM
  - IE
  - Microsoft
  - Obsolete
  - Property
  - Reference
---
<div>{{APIRef("XDomain")}}{{obsolete_header}}{{non-standard_header}}</div>

<p>{{non-standard_header}}</p>

<p>An event handler for when an {{domxref("XDomainRequest")}} has finished receiving the response from the server. You can find the entire server response in the {{domxref("XDomainRequest.responseText")}} property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">xdr.onload = <em>funcRef;</em></pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var xdr = new XDomainRequest();
xdr.open("POST", "http://example.com/api/method");

xdr.onload = function(){
  //Handle Response with xdr.responseText
}

xdr.send("param1=value1&amp;param2=value2");</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XDomainRequest.onload")}}</p>
